package DBCapsulator::DBI_CSV;

use strict;
use DBCapsulator;
use DBCapsulator::DBI;
use DBI;

our( @ISA );
@ISA = qw( DBCapsulator::DBI );


sub create_table {
    my( $self ) = @_;

    my $table = $self->dbcfg()->{"table"};
    my $schema = $self->schema( $table );
    return(0) unless( $schema );
    my $sql = "CREATE TABLE $table (";
    my $pkey = "";
    for( my $i=0; $i<=$#$schema; $i++ ) {
        $sql .= "," if( $i );
	$sql .= $schema->[$i]->{"entity"};
	$sql .= " ";
	$sql .= "INT";
    }
    $sql .= ")";
    return $self->dbh()->do( $sql );
}


1;
